Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 438542 - bits/sched.h is missing new clone() flags for containter based virt
bits/sched.h is missing new clone() flags for containter based virt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 12:16 EDT by Daniel Berrange
Modified: 2008-04-04 18:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 18:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-03-21 12:16:57 EDT
Description of problem:
The bits/sched.h file defines the set of flags for the clone() system call. It
does not yet have the definitions for new flags introduced for container based
virtualization in 2.6.25 kernel clone() system call.

The following flags are present in linux/sched.h, but not bits/sched.h:

#define CLONE_NEWUTS            0x04000000      /* New utsname group? */
#define CLONE_NEWIPC            0x08000000      /* New ipcs */
#define CLONE_NEWUSER           0x10000000      /* New user namespace */
#define CLONE_NEWPID            0x20000000      /* New pid namespace */
#define CLONE_NEWNET            0x40000000      /* New network namespace */


Version-Release number of selected component (if applicable):
glibc-headers-2.7.90-9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ulrich Drepper 2008-03-24 12:04:01 EDT
Changed upstream.
Comment 2 Jakub Jelinek 2008-04-04 18:39:40 EDT
Should be in glibc-2.7.90-12 and above.

Note You need to log in before you can comment on or make changes to this bug.